using System;
using UnityEngine;
using UnityEngine.UI;

public class RealTimeEnemyNumChanger : MonoBehaviour
{
    public GameObject Agent;

    public InputField enemyNumInputField;
    public Text enemyNumPlaceholder;
    public Text enemyNumAddInfoText;

    private void Start()
    {
        enemyNumAddInfoText.text = "";
    }

    public void nonRBTPresses()
    {
        if (enemyNumInputField.GetComponent<InputField>().text == "-")
        {
            // input chara not illegal
            enemyNumPlaceholder.color = Color.red;
            enemyNumPlaceholder.text = "Wrong Type!";
            enemyNumInputField.GetComponent<InputField>().text = "";
        }
        else if (enemyNumInputField.GetComponent<InputField>().text == "")
        {
            // empty chara
            enemyNumPlaceholder.color = Color.gray;
            enemyNumPlaceholder.text = "nonR";
        }
        else
        {
            // good to go~
            enemyNumPlaceholder.color = Color.gray;
            enemyNumPlaceholder.text = "nonR";
            string num = enemyNumInputField.GetComponent<InputField>().text;
            Agent.GetComponent<AgentWithGun>().enemyNum = Math.Abs(int.Parse(num));
            enemyNumInputField.GetComponent<InputField>().text = "";
            enemyNumAddInfoText.text = $"Enemy Num = {num} add Success. Valid in the next round.";
        }
    }
}
