using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class StartSceneEnemyNumChanger : MonoBehaviour
{
    public GameObject DataTransfer;
    public InputField EnemyNumInput;
    public Text EnemyNumText;

    public void onValueChanged()
    {
        if (EnemyNumInput.GetComponent<InputField>().text == "" || EnemyNumInput.GetComponent<InputField>().text.Contains("-"))
        {
            EnemyNumText.color = Color.gray;
            DataTransfer.GetComponent<StartSeneData>().nonReward = DataTransfer.GetComponent<StartSeneData>().EnemyNumDefault;
        }
        else
        {
            EnemyNumText.color = Color.yellow;
            DataTransfer.GetComponent<StartSeneData>().EnemyNum = Math.Abs(int.Parse(EnemyNumInput.GetComponent<InputField>().text));
        }
    }
}
